XmLStringDraw(3X)

NAME
XmLStringDraw - draws a string clipped and aligned in a widget

SYNTAX
void XmLStringDraw(widget, string, stringDir, fontList, alignment, gc, rect, clipRect)
Widget widget;
String string;
XmStringDirection stringDir;
XmFontList fontList;
unsigned char alignment;
GC gc;
XRectangle *rect;
XRectangle *clipRect;

ARGUMENTS

widget
    drawing destination widget

string
    string to draw

stringDir
    direction to draw string in

fontList
    font list used to draw string

alignment
    alignment

gc  graphics context for drawing

rect
    source rectangle

clipRect
    destination/clipping rectangle

DESCRIPTION
Draws a string in the direction stringDir using the font list fontList and the GC gc in the window of the widget given. The rect parameter indicates the rectangle used to determine alignment. The clipRect rectangle parameter given indicates the rectangle used to clip the drawing. Alignment must be one of the following: XmALIGNMENT_TOP_LEFT, XmALIGNMENT_TOP, XmALIGNMENT_TOP_RIGHT, XmALIGNMENT_LEFT, XmALIGNMENT_CENTER, XmALIGNMENT_RIGHT, XmALIGNMENT_BOTTOM_LEFT, XmALIGNMENT_BOTTOM or XmALIGNMENT_BOTTOM_RIGHT

SEE ALSO
XmLPixmapDraw(3X)